Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jxml.quick.util.qjml4
Class QGBase

    java.lang.Object
      |
      +--com.jxml.quick.QConverterSupport
            |
            +--com.jxml.quick.util.qjml4.QGBase

All Implemented Interfaces:
  Item, QConverter, QGBaseIntf

Direct Known Subclasses:
  QMAccessClass, QMAccessField, QMAccessListField, QMAccessListProperty, QMAccessProperty, QMAttribute, QMChild, QMContentRef, QMElement, QMExtends, QMField, QMImplements, QMProperty, QMQJML, QMRem, QMSelection, QMSequence, QMTargetClass, QMTargetEditor, QMTargetFactory, QMValue

public abstract class QGBase
extends QConverterSupport
implements QGBaseIntf

Fields inherited from class com.jxml.quick.QConverterSupport
`al, destination, PUBLIC, rootTag, SYSTEM`

Constructor Summary
`QGBase()`

Method Summary
`void` | `cvt()`
`void` | `print(PrintWriter pw)` print a summary of this object
`abstract void` | `print(PrintWriter pw, String indent)` print a summary of this object

Methods inherited from class com.jxml.quick.QConverterSupport
`addBase64Attribute, addBase64Content, addBigDecimalAttribute, addBigDecimalContent, addBooleanAttribute, addBooleanAttribute, addBooleanContent, addBooleanContent, addByteAttribute, addByteAttribute, addByteContent, addByteContent, addCharAttribute, addCharAttribute, addCharContent, addCharContent, addDoubleAttribute, addDoubleAttribute, addDoubleContent, addDoubleContent, addFloatAttribute, addFloatAttribute, addFloatContent, addFloatContent, addIntAttribute, addIntAttribute, addIntContent, addIntContent, addLongAttribute, addLongAttribute, addLongContent, addLongContent, addShortAttribute, addShortAttribute, addShortContent, addShortContent, addStringAttribute, addStringContent, addURLAttribute, addURLContent, emptyElement, endElement, eval, eval, evalRoot, getPUBLIC, getRootTag, getSYSTEM, main, setDestination, startElement`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QGBase

    public QGBase()

Method Detail

### print

    public abstract void print(PrintWriter pw,
                               String indent)

  Description copied from interface: `QGBaseIntf`
  print a summary of this object
  Specified by:
    `print` in interface `QGBaseIntf`

### print

    public void print(PrintWriter pw)

  print a summary of this object
  Specified by:
    `print` in interface `QGBaseIntf`

### cvt

    public void cvt()
             throws SAXException

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD